%define revision 712749

%define use_enable_final 1
%{?_no_enable_final: %{expand: %%global use_enable_final 0}}

%define branch 1
%{?_branch: %{expand: %%global branch 1}}

%define unstable 1
%{?_unstable: %{expand: %%global unstable 1}}

%if %unstable
%define dont_strip 1
%endif

%define use_enable_pie 1
%{?_no_enable_pie: %{expand: %%global use_enable_pie 0}}


%define lib_name_orig %mklibname kdeaccessibility4
%define lib_major 1
%define lib_name %lib_name_orig%lib_major

%define libkttsd %mklibname kttsd 5

Name: kdeaccessibility4
Version: 3.93.0
Release: %mkrel  0.%revision.1
Epoch: 1
Group: Graphical desktop/KDE
Summary: K Desktop Environment - Accessibility program
URL: http://www.kde.org
%if %branch
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdeaccessibility-%version.%revision.tar.bz2
%else
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdeaccessibility-%version.tar.bz2
%endif
BuildRoot: %_tmppath/%name-%version-%release-root
License: GPL
BuildRequires: gstreamer-devel
BuildRequires: akode-devel
BuildRequires: kdebase4-devel
BuildRequires: kdebase4-workspace-devel
BuildRequires: alsa-lib-devel

Requires: kde4-kmag
Requires: kde4-kmouth
Requires: kde4-kmousetool
Requires: kde4-kttsd

%description
KDE Accessibility Aids:
- kmag, a screen magnifier,
- kmousetool, a program for people whom it hurts to click the mouse
- KMouth, a program that allows people who have lost their voice to let 
  their computer speak for them.

%files
%defattr(-,root,root)

#--------------------------------------------------------------------

%package -n %name-core
Group: Graphical desktop/KDE
Summary: KMag Program

%description -n %name-core

Common files needed by packages from %name


%post -n %name-core
/sbin/ldconfig
%update_icon_cache mono

%postun -n %name-core
/sbin/ldconfig
%clean_icon_cache mono

%files -n %name-core
%defattr(-,root,root)
%_kde_datadir/icons/mono/scalable/actions/*.svgz
%_kde_libdir/kde4/kbstate_panelapplet.so
%_kde_appsdir/kbstateapplet/icons/*/*/*/*
%_kde_datadir/icons/mono/index.theme
%_kde_datadir/icons/mono/scalable/apps/*.svgz
%_kde_datadir/icons/mono/scalable/devices/*.svgz
%_kde_datadir/icons/mono/scalable/filesystems/*.svgz
%_kde_datadir/icons/mono/scalable/mimetypes/*.svgz
%_kde_datadir/icons/mono/*/actions/kde.png

%exclude %_kde_datadir/icons/mono/scalable/apps/kmag.svgz
%exclude %_kde_datadir/icons/mono/scalable/actions/kmousetool_off.svgz
%exclude %_kde_datadir/icons/mono/scalable/actions/kmousetool_on.svgz
%exclude %_kde_datadir/icons/mono/scalable/apps/kmousetool.svgz


#--------------------------------------------------------------------
%package -n kde4-kmag
Group: Graphical desktop/KDE
Summary: KMag Program
Requires: %name-core

%description -n kde4-kmag

KMag Program

%files -n kde4-kmag
%defattr(-,root,root,0755)
%_kde_bindir/kmag
%_kde_datadir/applications/kde4/kmag.desktop
%_kde_appsdir/kmag/icons/hicolor/16x16/actions/followmouse.png
%_kde_appsdir/kmag/icons/hicolor/16x16/actions/hidemouse.png
%_kde_appsdir/kmag/icons/hicolor/16x16/actions/window.png
%_kde_appsdir/kmag/icons/hicolor/*/apps/kmag.png
%_kde_appsdir/kmag/icons/locolor/*/*/*.png
%_kde_datadir/icons/mono/scalable/apps/kmag.svgz
%_kde_appsdir/kmag/kmagui.rc
%dir %_kde_docdir/HTML/en/kmag
%doc %_kde_docdir/HTML/en/kmag/index.cache.bz2
%doc %_kde_docdir/HTML/en/kmag/index.docbook
%doc %_kde_docdir/HTML/en/kmag/screenshot.png

#--------------------------------------------------------------------
%package -n kde4-kmouth
Group: Graphical desktop/KDE
Summary: KMag Program
Requires: %name-core

%description -n kde4-kmouth

Kmouth Program

%files -n kde4-kmouth
%defattr(-,root,root,0755)
%_kde_bindir/kmouth
%_kde_datadir/applications/kde4/kmouth.desktop
%{_kde_appsdir}/kmouth/books/de/*
%{_kde_appsdir}/kmouth/books/en/*
%{_kde_appsdir}/kmouth/books/sv/*
%{_kde_appsdir}/kmouth/icons/hicolor/*/*/*.png
%{_kde_appsdir}/kmouth/kmouthui.rc
%{_kde_appsdir}/kmouth/phrasebookdialogui.rc
%{_kde_datadir}/config/kmouthrc
%doc %{_kde_docdir}/HTML/en/kmouth/index.cache.bz2
%doc %{_kde_docdir}/HTML/en/kmouth/*.docbook
%doc %{_kde_docdir}/HTML/en/kmouth/*.png
%{_kde_iconsdir}/*/*/actions/female.png
%{_kde_iconsdir}/*/*/actions/male.png
%{_kde_iconsdir}/*/*/actions/nospeak.png
%{_kde_iconsdir}/*/*/actions/speak.png
%{_kde_iconsdir}/*/*/apps/kmouth.png

#--------------------------------------------------------------------
%package -n kde4-kmousetool
Group: Graphical desktop/KDE
Summary: kmousetool program
Requires: %name-core

%description -n kde4-kmousetool

kmousetool program

%files -n kde4-kmousetool
%defattr(-,root,root,0755)
%_kde_bindir/kmousetool
%_kde_datadir/applications/kde4/kmousetool.desktop
%_kde_appsdir/kmousetool/icons/hicolor/*/*/kmousetool*
%_kde_appsdir/kmousetool/sounds/mousetool_tap.wav
%_kde_datadir/icons/mono/scalable/actions/kmousetool_off.svgz
%_kde_datadir/icons/mono/scalable/actions/kmousetool_on.svgz
%_kde_datadir/icons/mono/scalable/apps/kmousetool.svgz
%dir %_kde_docdir/HTML/en/kmousetool
%doc %_kde_docdir/HTML/en/kmousetool/index.cache.bz2
%doc %_kde_docdir/HTML/en/kmousetool/index.docbook

#--------------------------------------------------------------------

%package -n kde4-kttsd
Group: Graphical desktop/KDE
Summary: KTTS - KDE Text-to-Speech.
Requires: %libkttsd = %epoch:%version-%release
Requires: %name-core

%description -n kde4-kttsd
KTTS -- KDE Text-to-Speech -- is a subsystem within the KDE desktop for 
conversion of text to audible speech. KTTS is currently under development 
and aims to become the standard subsystem for all KDE applications 
to provide speech output.
User Features:
 _ Speak any text from the KDE clipboard.
 _ Speak any plain text file.
 _ Speak all or any portion of a text file from Kate.
 _ Speak all or any portion of an HTML page from Konqueror.
 _ Use as the speech backend for KMouth and KSayIt.
 _ Speak KDE notifications (KNotify).
 _ Long text is parsed into sentences. User may backup by sentence or 
	paragraph, replay, pause, and stop playing.
 _ Audio output via aRts or GStreamer (version 0.8.7 or later)

%files -n kde4-kttsd
%defattr(-,root,root,0755)
%_kde_bindir/kttsd
%_kde_bindir/kttsmgr

%_kde_datadir/applications/kde4/kttsmgr.desktop
%_kde_datadir/kde4/services/kcmkttsd.desktop
%_kde_datadir/kde4/services/kttsd.desktop
%_kde_datadir/kde4/services/kttsd_alsaplugin.desktop
%_kde_datadir/kde4/services/kttsd_commandplugin.desktop
%_kde_datadir/kde4/services/kttsd_eposplugin.desktop
%_kde_datadir/kde4/services/kttsd_festivalintplugin.desktop
%_kde_datadir/kde4/services/kttsd_fliteplugin.desktop
%_kde_datadir/kde4/services/kttsd_freettsplugin.desktop
%_kde_datadir/kde4/services/kttsd_hadifixplugin.desktop
%_kde_datadir/kde4/services/kttsd_phononplugin.desktop
%_kde_datadir/kde4/services/kttsd_sbdplugin.desktop
%_kde_datadir/kde4/services/kttsd_stringreplacerplugin.desktop
%_kde_datadir/kde4/services/kttsd_talkerchooserplugin.desktop
%_kde_datadir/kde4/services/kttsd_xmltransformerplugin.desktop
%_kde_datadir/kde4/services/kttsjobmgr.desktop
%_kde_datadir/kde4/servicetypes/kttsd_audioplugin.desktop
%_kde_datadir/kde4/servicetypes/kttsd_filterplugin.desktop
%_kde_datadir/kde4/servicetypes/kttsd_synthplugin.desktop

%{_kde_libdir}/kde4/kcm_kttsd.so
%{_kde_libdir}/kde4/libkttsd_alsaplugin.so
%{_kde_libdir}/kde4/libkttsd_commandplugin.so
%{_kde_libdir}/kde4/libkttsd_eposplugin.so
%{_kde_libdir}/kde4/libkttsd_festivalintplugin.so
%{_kde_libdir}/kde4/libkttsd_fliteplugin.so
%{_kde_libdir}/kde4/libkttsd_freettsplugin.so
%{_kde_libdir}/kde4/libkttsd_hadifixplugin.so
%{_kde_libdir}/kde4/libkttsd_phononplugin.so
%{_kde_libdir}/kde4/libkttsd_sbdplugin.so
%{_kde_libdir}/kde4/libkttsd_stringreplacerplugin.so
%{_kde_libdir}/kde4/libkttsd_talkerchooserplugin.so
%{_kde_libdir}/kde4/libkttsd_xmltransformerplugin.so
%{_kde_libdir}/kde4/libkttsjobmgrpart.so


%_kde_appsdir/kttsd/festivalint/sabletowave.scm
%_kde_appsdir/kttsd/festivalint/voices
%_kde_appsdir/kttsd/festivalint/xslt/SSMLtoSable.xsl
%_kde_appsdir/kttsd/hadifix/xslt/SSMLtoTxt2pho.xsl
%_kde_appsdir/kttsd/kcmkttsd_testmessage.desktop
%_kde_appsdir/kttsd/sbd/polish_festival_sbdrc
%_kde_appsdir/kttsd/sbd/standard_sbdrc
%_kde_appsdir/kttsd/stringreplacer/*.xml
%_kde_appsdir/kttsd/talkerchooser/female_notifications_rc
%_kde_appsdir/kttsd/xmltransformer/xhtml2ssml.xsl
%_kde_appsdir/kttsd/xmltransformer/xhtml2ssml_simple.xsl
%_kde_appsdir/kttsd/xslt/SSMLtoPlainText.xsl
%dir %_kde_appsdir/kbstateapplet/
%_kde_appsdir/kbstateapplet/icons/*
%_kde_appsdir/kicker/applets/kbstateapplet.desktop

%dir %_kde_docdir/HTML/en/kttsd/
%doc %_kde_docdir/HTML/en/kttsd/*.png
%doc %_kde_docdir/HTML/en/kttsd/*.bz2
%doc %_kde_docdir/HTML/en/kttsd/*.docbook

#-----------------------------------------------------------------------------


%package -n %libkttsd
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkttsd
KDE 4 library.

%post -n %libkttsd -p /sbin/ldconfig
%postun -n %libkttsd -p /sbin/ldconfig

%files -n %libkttsd
%defattr(-,root,root)
%_kde_libdir/libkttsd.so.*

#-----------------------------------------------------------------------------

%package -n	%{lib_name}-kttsd-devel
Group: Development/KDE and Qt
Summary: Header files for developing ktts
Requires: %{lib_name}-kttsd = %epoch:%{version}-%{release}

%description -n	%{lib_name}-kttsd-devel
Header files needed for developing ktts applications.

%files -n %lib_name-kttsd-devel
%defattr(-,root,root)
%_kde_libdir/libkttsd.so
#--------------------------------------------------------------------

%prep
%setup -q -n kdeaccessibility-%version

%build

%cmake_kde4 \
%if %use_enable_final
      -DKDE4_ENABLE_FINAL=ON \
%endif
%if %use_enable_pie
      -DKDE4_ENABLE_FPIE=ON \
%endif
%if %unstable
      -DCMAKE_BUILD_TYPE=debug
%endif

%make

%install
rm -fr %buildroot
cd $RPM_BUILD_DIR/kdeaccessibility-%version/build

make DESTDIR=%buildroot install

%clean
rm -fr %buildroot



%changelog
* Fri Sep 21 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 3.93.0-0.712749.1mdv2008.0
+ Revision: 92046
- new snapshot from kde svn
- make all obsoletes versioned

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add missing Requires on %%name-core
    - 3.91
    - Fix spec according to new  KDE layout

* Thu May 10 2007 Laurent Montel <lmontel@mandriva.org> 1:3.90.1-0.20070502.1mdv2008.0
+ Revision: 25999
- new snapshot

* Sat Apr 21 2007 Laurent Montel <lmontel@mandriva.org> 1:3.80.3-0.20070418.1mdv2008.0
+ Revision: 16539
- new snapshot


* Tue Mar 06 2007 Laurent Montel <lmontel@mandriva.com> 3.80.3-0.20070306.1mdv2007.1
+ Revision: 133606
- new snapshot
- new snapshot
- 3.80.3
- Fix spec file
- new snapshot

* Thu Jan 18 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070117.1mdv2007.1
+ Revision: 110504
- Update
- Update snapshot

* Sun Jan 07 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070103.1mdv2007.1
+ Revision: 105138
- Update
- Fix
- Byebye menu
- Fix other buildrequires
- Import kdeaccessibility4

* Thu Oct 26 2006 Laurent Montel <lmontel@mandriva.com> 3.5.5-2mdv2007.0
- First package

